# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIEBookmarkImporter Class Reference

A class for importing IE bookmarks. More...

`#include <kbookmarkimporter_ie.h>`

Inheritance diagram for KIEBookmarkImporter:

[legend]
Collaboration diagram for KIEBookmarkImporter:

[legend]
List of all members.

## Signals

void | newBookmark (const QString &text, const QCString &url, const QString &additionalInfo)
void | newFolder (const QString &text, bool open, const QString &additionalInfo)
void | newSeparator ()
void | endFolder ()

## Public Member Functions

| KIEBookmarkImporter (const QString &fileName)
void | parseIEBookmarks ()

## Static Public Member Functions

static QString | IEBookmarksDir ()

## Protected Member Functions

void | parseIEBookmarks_dir (QString dirname, QString name=QString::null)
void | parseIEBookmarks_url_file (QString filename, QString name)

## Protected Attributes

QString | m_fileName

## Detailed Description

A class for importing IE bookmarks.

Deprecated:

Definition at line 36 of file kbookmarkimporter_ie.h.

The documentation for this class was generated from the following files:

- kbookmarkimporter_ie.h
- kbookmarkimporter_ie.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003